org.red5.server.api.stream

## Interface IStreamHandler

    public interface IStreamHandler

### Method Summary

Methods
`void` `onBroadcastStreamStart(IStream stream)` Called when the broadcast starts
`void` `onBroadcastStreamSubscribe(IBroadcastStream stream)` Called when a client subscribes to a broadcast
`void` `onBroadcastStreamUnsubscribe(IBroadcastStream stream)` Called when a client unsubscribes from a broadcast
`void` `onOnDemandStreamConnect(IOnDemandStream stream)` Called when a client connects to an on demand stream
`void` `onOnDemandStreamDisconnect(IOnDemandStream stream)` Called when a client disconnects from an on demand stream
`void` `onRecordStreamStart(IStream stream)` Called when a recording starts
`void` `onRecordStreamStop(IStream stream)` Called when a recording stops
`void` `onStreamPublishStart(IStream stream)` Called when the client begins publishing
`void` `onStreamPublishStop(IStream stream)` Called when the client stops publishing

### Method Detail

#### onStreamPublishStart

    void onStreamPublishStart(IStream stream)

Called when the client begins publishing

Parameters:
  `stream` - the stream object

#### onStreamPublishStop

    void onStreamPublishStop(IStream stream)

Called when the client stops publishing

Parameters:
  `stream` - the stream object

#### onBroadcastStreamStart

    void onBroadcastStreamStart(IStream stream)

Called when the broadcast starts

Parameters:
  `stream` - the stream object

#### onRecordStreamStart

    void onRecordStreamStart(IStream stream)

Called when a recording starts

Parameters:
  `stream` - the stream object

#### onRecordStreamStop

    void onRecordStreamStop(IStream stream)

Called when a recording stops

Parameters:
  `stream` - the stream object

#### onBroadcastStreamSubscribe

    void onBroadcastStreamSubscribe(IBroadcastStream stream)

Called when a client subscribes to a broadcast

Parameters:
  `stream` - the stream object

#### onBroadcastStreamUnsubscribe

    void onBroadcastStreamUnsubscribe(IBroadcastStream stream)

Called when a client unsubscribes from a broadcast

Parameters:
  `stream` - the stream object

#### onOnDemandStreamConnect

    void onOnDemandStreamConnect(IOnDemandStream stream)

Called when a client connects to an on demand stream

Parameters:
  `stream` - the stream object

#### onOnDemandStreamDisconnect

    void onOnDemandStreamDisconnect(IOnDemandStream stream)

Called when a client disconnects from an on demand stream

Parameters:
  `stream` - the stream object